'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMessage = undefined;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = console.log;

var messages = {
  welcome: function welcome(_ref) {
    var appName = _ref.appName,
        isDevEnvironment = _ref.isDevEnvironment,
        port = _ref.port;
    return '                  \nRCA-Precursor: Starting ' + appName + '\nhttp://localhost:' + (port || 3000) + '\nEnvironment: ' + _chalk2.default.blue(isDevEnvironment ? 'Development' : 'Production') + '\n';
  }
};

var getMessage = exports.getMessage = function getMessage(type, args) {
  return messages[type] ? messages[type](args) : messages.error;
};

exports.default = function (err) {
  return log('\n' + _chalk2.default.blue('RCA-Juno:') + ' ' + _chalk2.default.red(err) + '\n');
};